Module | Random::StringExtensions::Self
In: | lib/standard/facets/random.rb

Class-level methods.

### Methods

random

### Public Instance methods

random(max_length = 8, char_re = /[\w\d]/)

Returns a randomly generated string. One possible use is password initialization. Takes a max legnth of characters (default 8) and an optional valid char Regexp (default /\w\d/).

      String.random    #~> 'dd4qed4r'

CREDIT George Moschovitis

[Validate]